Могу ли я использовать сторонний репозиторий, предназначенный для более старой версии Ubuntu?

Я использую Ubuntu 11.10, но некоторые репозитории, которые я использовал, не поддерживают новую версию Ubuntu. Итак, существует ли какая-либо опасность при использовании, скажем, Ubuntu 10.10 («Koala») репозитория для Ubuntu 11.10? Могу ли я также использовать некоторый репозиторий Debian для моего Ubuntu?

Совместимость пакетов не определяется репозиторием выбора, каждый пакет содержит объявления зависимостей. Пока пакеты имеют разумное качество, то есть они объявляют зависимости, которые они должны использовать, вы можете продолжать использовать этот репозиторий. Если есть несовместимость, вам скажут, потому что будет невыполненная зависимость.

Использование репозитория, предназначенного для более ранней версии вашего дистрибутива, с большой вероятностью будет работать. Если целевая версия репозитория очень старая, вам может потребоваться получить более старые версии библиотек из более старых версий Ubuntu.

Использование репозитория, предназначенного для другого дистрибутива, вряд ли будет работать в целом, потому что разные дистрибутивы разбивают пакеты по-разному. В конкретном случае Debian и Ubuntu Ubuntu является производным от Debian и сохраняет много структуры пакета, поэтому репозитории, предназначенные для одного, обычно хорошо работают с другой.